> ## Documentation Index
> Fetch the complete documentation index at: https://docs.rhino.fi/llms.txt
> Use this file to discover all available pages before exploring further.

# User History

> Fetch bridge history for a user. Will be removed in the future, please use /histor-cursor instead.



## OpenAPI

````yaml https://api.rhino.fi/bridge/swagger.json get /history/user
openapi: 3.1.0
info:
  title: Bridge API
  version: 0.0.1
  description: Functionality for interacting with Rhino bridge service
servers:
  - url: https://api.rhino.fi/bridge
security: []
tags:
  - name: quote
  - name: configs
  - name: history
  - name: swap
  - name: depositAddresses
paths:
  /history/user:
    get:
      tags:
        - history
      summary: User History
      description: >-
        Fetch bridge history for a user. Will be removed in the future, please
        use /histor-cursor instead.
      operationId: history.userHistory
      parameters:
        - name: page
          in: query
          schema:
            type: string
            description: a string to be decoded into a number
          required: true
          description: a string to be decoded into a number
        - name: limit
          in: query
          schema:
            type: string
            description: a string to be decoded into a number
          required: true
          description: a string to be decoded into a number
        - name: sortBy
          in: query
          schema:
            type: string
            enum:
              - createdAt
              - updatedAt
            description: 'Field to sort by: "createdAt" or "updatedAt".'
          required: true
          description: 'Field to sort by: "createdAt" or "updatedAt".'
        - name: sortDirection
          in: query
          schema:
            type: string
            enum:
              - asc
              - desc
            description: 'Sort direction: "asc" for ascending, "desc" for descending.'
          required: true
          description: 'Sort direction: "asc" for ascending, "desc" for descending.'
        - name: state
          in: query
          schema:
            type: string
            enum:
              - PENDING
              - ACCEPTED
              - EXECUTED
            description: >-
              Optional filter by bridge state: "PENDING", "ACCEPTED", or
              "EXECUTED".
          required: false
          description: >-
            Optional filter by bridge state: "PENDING", "ACCEPTED", or
            "EXECUTED".
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: object
                required:
                  - totalItems
                  - items
                properties:
                  totalItems:
                    type: number
                    description: Total number of history items available (for pagination).
                  items:
                    type: array
                    items:
                      type: object
                      required:
                        - bridge
                        - rejections
                      properties:
                        bridge:
                          anyOf:
                            - anyOf:
                                - type: object
                                  required:
                                    - _id
                                    - userId
                                    - chainIn
                                    - chainOut
                                    - amountIn
                                    - amountInUsd
                                    - amountOut
                                    - amountOutUsd
                                    - amountNative
                                    - amountNativeUsd
                                    - fee
                                    - feeUsd
                                    - gasFee
                                    - gasFeeUsd
                                    - platformFee
                                    - platformFeeUsd
                                    - percentageFee
                                    - percentageFeeUsd
                                    - sourceGasFee
                                    - sourceGasFeeUsd
                                    - sponsoredFees
                                    - recipient
                                    - depositor
                                    - createdAt
                                    - commitmentDate
                                    - token
                                    - usdPrice
                                    - state
                                  properties:
                                    _id:
                                      type: string
                                    userId:
                                      type: string
                                    chainIn:
                                      type: string
                                    chainOut:
                                      type: string
                                    amountIn:
                                      $ref: >-
                                        #/components/schemas/BigDecimalFromString
                                    amountInUsd:
                                      $ref: >-
                                        #/components/schemas/BigDecimalFromNumber
                                    amountOut:
                                      $ref: >-
                                        #/components/schemas/BigDecimalFromString
                                    amountOutUsd:
                                      $ref: >-
                                        #/components/schemas/BigDecimalFromNumber
                                    amountNative:
                                      anyOf:
                                        - $ref: >-
                                            #/components/schemas/BigDecimalFromString
                                        - type: 'null'
                                    amountNativeUsd:
                                      anyOf:
                                        - $ref: >-
                                            #/components/schemas/BigDecimalFromNumber
                                        - type: 'null'
                                    fee:
                                      $ref: '#/components/schemas/BigDecimal'
                                    feeUsd:
                                      $ref: >-
                                        #/components/schemas/BigDecimalFromNumber
                                    gasFee:
                                      $ref: >-
                                        #/components/schemas/BigDecimalFromString
                                    gasFeeUsd:
                                      $ref: >-
                                        #/components/schemas/BigDecimalFromNumber
                                    platformFee:
                                      $ref: '#/components/schemas/BigDecimal'
                                    platformFeeUsd:
                                      $ref: >-
                                        #/components/schemas/BigDecimalFromNumber
                                    percentageFee:
                                      $ref: '#/components/schemas/BigDecimal'
                                    percentageFeeUsd:
                                      $ref: >-
                                        #/components/schemas/BigDecimalFromNumber
                                    sourceGasFee:
                                      $ref: >-
                                        #/components/schemas/BigDecimalFromString
                                    sourceGasFeeUsd:
                                      $ref: >-
                                        #/components/schemas/BigDecimalFromNumber
                                    sponsoredFees:
                                      type: object
                                      required:
                                        - fee
                                        - feeUsd
                                        - gasFee
                                        - gasFeeUsd
                                        - platformFee
                                        - platformFeeUsd
                                        - percentageFee
                                        - percentageFeeUsd
                                        - sourceGasFee
                                        - sourceGasFeeUsd
                                      properties:
                                        fee:
                                          $ref: '#/components/schemas/BigDecimal'
                                        feeUsd:
                                          $ref: >-
                                            #/components/schemas/BigDecimalFromNumber
                                        gasFee:
                                          $ref: >-
                                            #/components/schemas/BigDecimalFromString
                                        gasFeeUsd:
                                          $ref: >-
                                            #/components/schemas/BigDecimalFromNumber
                                        platformFee:
                                          $ref: '#/components/schemas/BigDecimal'
                                        platformFeeUsd:
                                          $ref: >-
                                            #/components/schemas/BigDecimalFromNumber
                                        percentageFee:
                                          $ref: '#/components/schemas/BigDecimal'
                                        percentageFeeUsd:
                                          $ref: >-
                                            #/components/schemas/BigDecimalFromNumber
                                        sourceGasFee:
                                          $ref: >-
                                            #/components/schemas/BigDecimalFromString
                                        sourceGasFeeUsd:
                                          $ref: >-
                                            #/components/schemas/BigDecimalFromNumber
                                      additionalProperties: false
                                    recipient:
                                      type: string
                                    depositor:
                                      type: string
                                    createdAt:
                                      $ref: '#/components/schemas/DateFromString'
                                    commitmentDate:
                                      $ref: '#/components/schemas/DateFromString'
                                    speed:
                                      type: string
                                      enum:
                                        - fast
                                        - standard
                                        - slow
                                    estimatedDuration:
                                      type: number
                                      description: >-
                                        a non-negative number to be decoded into
                                        a Duration
                                      title: nonNegative
                                      minimum: 0
                                    postBridgeData:
                                      anyOf:
                                        - $ref: >-
                                            #/components/schemas/ExtendedPostBridgeData
                                        - $ref: >-
                                            #/components/schemas/StarkwareBtcfiCampaignPostBridgeData
                                        - $ref: >-
                                            #/components/schemas/WirexWrapPostBridgeData
                                        - $ref: >-
                                            #/components/schemas/WirexWrapSandboxPostBridgeData
                                        - $ref: >-
                                            #/components/schemas/StarkwareBtcfiCampaignV2PostBridgeData
                                        - $ref: >-
                                            #/components/schemas/AaveV3SupplyPostBridgeData
                                        - $ref: >-
                                            #/components/schemas/RocketFoundationDepositPostBridgeData
                                        - $ref: >-
                                            #/components/schemas/MapleDepositPostBridgeData
                                    token:
                                      type: string
                                    usdPrice:
                                      $ref: >-
                                        #/components/schemas/BigDecimalFromNumber
                                    _tag:
                                      type: string
                                      enum:
                                        - bridge
                                    state:
                                      type: string
                                      enum:
                                        - PENDING
                                  additionalProperties: false
                                - $ref: '#/components/schemas/BridgeSwapPending'
                                - $ref: >-
                                    #/components/schemas/DepositAddressBridgePending
                                - type: object
                                  required:
                                    - _id
                                    - userId
                                    - chainIn
                                    - chainOut
                                    - amountIn
                                    - amountInUsd
                                    - amountOut
                                    - amountOutUsd
                                    - amountNative
                                    - amountNativeUsd
                                    - fee
                                    - feeUsd
                                    - gasFee
                                    - gasFeeUsd
                                    - platformFee
                                    - platformFeeUsd
                                    - percentageFee
                                    - percentageFeeUsd
                                    - sourceGasFee
                                    - sourceGasFeeUsd
                                    - sponsoredFees
                                    - recipient
                                    - depositor
                                    - createdAt
                                    - commitmentDate
                                    - token
                                    - usdPrice
                                    - depositTxHash
                                    - depositDiscoveredAt
                                    - expectedDepositConfirmedAt
                                    - expectedDepositConfirmedAtBlock
                                    - state
                                  properties:
                                    _id:
                                      type: string
                                    userId:
                                      type: string
                                    chainIn:
                                      type: string
                                    chainOut:
                                      type: string
                                    amountIn:
                                      $ref: >-
                                        #/components/schemas/BigDecimalFromString
                                    amountInUsd:
                                      $ref: >-
                                        #/components/schemas/BigDecimalFromNumber
                                    amountOut:
                                      $ref: >-
                                        #/components/schemas/BigDecimalFromString
                                    amountOutUsd:
                                      $ref: >-
                                        #/components/schemas/BigDecimalFromNumber
                                    amountNative:
                                      anyOf:
                                        - $ref: >-
                                            #/components/schemas/BigDecimalFromString
                                        - type: 'null'
                                    amountNativeUsd:
                                      anyOf:
                                        - $ref: >-
                                            #/components/schemas/BigDecimalFromNumber
                                        - type: 'null'
                                    fee:
                                      $ref: '#/components/schemas/BigDecimal'
                                    feeUsd:
                                      $ref: >-
                                        #/components/schemas/BigDecimalFromNumber
                                    gasFee:
                                      $ref: >-
                                        #/components/schemas/BigDecimalFromString
                                    gasFeeUsd:
                                      $ref: >-
                                        #/components/schemas/BigDecimalFromNumber
                                    platformFee:
                                      $ref: '#/components/schemas/BigDecimal'
                                    platformFeeUsd:
                                      $ref: >-
                                        #/components/schemas/BigDecimalFromNumber
                                    percentageFee:
                                      $ref: '#/components/schemas/BigDecimal'
                                    percentageFeeUsd:
                                      $ref: >-
                                        #/components/schemas/BigDecimalFromNumber
                                    sourceGasFee:
                                      $ref: >-
                                        #/components/schemas/BigDecimalFromString
                                    sourceGasFeeUsd:
                                      $ref: >-
                                        #/components/schemas/BigDecimalFromNumber
                                    sponsoredFees:
                                      type: object
                                      required:
                                        - fee
                                        - feeUsd
                                        - gasFee
                                        - gasFeeUsd
                                        - platformFee
                                        - platformFeeUsd
                                        - percentageFee
                                        - percentageFeeUsd
                                        - sourceGasFee
                                        - sourceGasFeeUsd
                                      properties:
                                        fee:
                                          $ref: '#/components/schemas/BigDecimal'
                                        feeUsd:
                                          $ref: >-
                                            #/components/schemas/BigDecimalFromNumber
                                        gasFee:
                                          $ref: >-
                                            #/components/schemas/BigDecimalFromString
                                        gasFeeUsd:
                                          $ref: >-
                                            #/components/schemas/BigDecimalFromNumber
                                        platformFee:
                                          $ref: '#/components/schemas/BigDecimal'
                                        platformFeeUsd:
                                          $ref: >-
                                            #/components/schemas/BigDecimalFromNumber
                                        percentageFee:
                                          $ref: '#/components/schemas/BigDecimal'
                                        percentageFeeUsd:
                                          $ref: >-
                                            #/components/schemas/BigDecimalFromNumber
                                        sourceGasFee:
                                          $ref: >-
                                            #/components/schemas/BigDecimalFromString
                                        sourceGasFeeUsd:
                                          $ref: >-
                                            #/components/schemas/BigDecimalFromNumber
                                      additionalProperties: false
                                    recipient:
                                      type: string
                                    depositor:
                                      type: string
                                    createdAt:
                                      $ref: '#/components/schemas/DateFromString'
                                    commitmentDate:
                                      $ref: '#/components/schemas/DateFromString'
                                    speed:
                                      type: string
                                      enum:
                                        - fast
                                        - standard
                                        - slow
                                    estimatedDuration:
                                      type: number
                                      description: >-
                                        a non-negative number to be decoded into
                                        a Duration
                                      title: nonNegative
                                      minimum: 0
                                    postBridgeData:
                                      anyOf:
                                        - $ref: >-
                                            #/components/schemas/ExtendedPostBridgeData
                                        - $ref: >-
                                            #/components/schemas/StarkwareBtcfiCampaignPostBridgeData
                                        - $ref: >-
                                            #/components/schemas/WirexWrapPostBridgeData
                                        - $ref: >-
                                            #/components/schemas/WirexWrapSandboxPostBridgeData
                                        - $ref: >-
                                            #/components/schemas/StarkwareBtcfiCampaignV2PostBridgeData
                                        - $ref: >-
                                            #/components/schemas/AaveV3SupplyPostBridgeData
                                        - $ref: >-
                                            #/components/schemas/RocketFoundationDepositPostBridgeData
                                        - $ref: >-
                                            #/components/schemas/MapleDepositPostBridgeData
                                    token:
                                      type: string
                                    usdPrice:
                                      $ref: >-
                                        #/components/schemas/BigDecimalFromNumber
                                    _tag:
                                      type: string
                                      enum:
                                        - bridge
                                    depositTxHash:
                                      type: string
                                    depositDiscoveredAt:
                                      $ref: '#/components/schemas/DateFromString'
                                    expectedDepositConfirmedAt:
                                      $ref: '#/components/schemas/DateFromString'
                                    expectedDepositConfirmedAtBlock:
                                      $ref: '#/components/schemas/Int'
                                    state:
                                      type: string
                                      enum:
                                        - PENDING_CONFIRMATION
                                  additionalProperties: false
                                - $ref: >-
                                    #/components/schemas/BridgeSwapPendingConfirmation
                                - $ref: >-
                                    #/components/schemas/DepositAddressBridgePendingConfirmation
                                - type: object
                                  required:
                                    - _id
                                    - userId
                                    - chainIn
                                    - chainOut
                                    - amountIn
                                    - amountInUsd
                                    - amountOut
                                    - amountOutUsd
                                    - amountNative
                                    - amountNativeUsd
                                    - fee
                                    - feeUsd
                                    - gasFee
                                    - gasFeeUsd
                                    - platformFee
                                    - platformFeeUsd
                                    - percentageFee
                                    - percentageFeeUsd
                                    - sourceGasFee
                                    - sourceGasFeeUsd
                                    - sponsoredFees
                                    - recipient
                                    - depositor
                                    - createdAt
                                    - commitmentDate
                                    - token
                                    - usdPrice
                                    - cancelledAt
                                    - state
                                  properties:
                                    _id:
                                      type: string
                                    userId:
                                      type: string
                                    chainIn:
                                      type: string
                                    chainOut:
                                      type: string
                                    amountIn:
                                      $ref: >-
                                        #/components/schemas/BigDecimalFromString
                                    amountInUsd:
                                      $ref: >-
                                        #/components/schemas/BigDecimalFromNumber
                                    amountOut:
                                      $ref: >-
                                        #/components/schemas/BigDecimalFromString
                                    amountOutUsd:
                                      $ref: >-
                                        #/components/schemas/BigDecimalFromNumber
                                    amountNative:
                                      anyOf:
                                        - $ref: >-
                                            #/components/schemas/BigDecimalFromString
                                        - type: 'null'
                                    amountNativeUsd:
                                      anyOf:
                                        - $ref: >-
                                            #/components/schemas/BigDecimalFromNumber
                                        - type: 'null'
                                    fee:
                                      $ref: '#/components/schemas/BigDecimal'
                                    feeUsd:
                                      $ref: >-
                                        #/components/schemas/BigDecimalFromNumber
                                    gasFee:
                                      $ref: >-
                                        #/components/schemas/BigDecimalFromString
                                    gasFeeUsd:
                                      $ref: >-
                                        #/components/schemas/BigDecimalFromNumber
                                    platformFee:
                                      $ref: '#/components/schemas/BigDecimal'
                                    platformFeeUsd:
                                      $ref: >-
                                        #/components/schemas/BigDecimalFromNumber
                                    percentageFee:
                                      $ref: '#/components/schemas/BigDecimal'
                                    percentageFeeUsd:
                                      $ref: >-
                                        #/components/schemas/BigDecimalFromNumber
                                    sourceGasFee:
                                      $ref: >-
                                        #/components/schemas/BigDecimalFromString
                                    sourceGasFeeUsd:
                                      $ref: >-
                                        #/components/schemas/BigDecimalFromNumber
                                    sponsoredFees:
                                      type: object
                                      required:
                                        - fee
                                        - feeUsd
                                        - gasFee
                                        - gasFeeUsd
                                        - platformFee
                                        - platformFeeUsd
                                        - percentageFee
                                        - percentageFeeUsd
                                        - sourceGasFee
                                        - sourceGasFeeUsd
                                      properties:
                                        fee:
                                          $ref: '#/components/schemas/BigDecimal'
                                        feeUsd:
                                          $ref: >-
                                            #/components/schemas/BigDecimalFromNumber
                                        gasFee:
                                          $ref: >-
                                            #/components/schemas/BigDecimalFromString
                                        gasFeeUsd:
                                          $ref: >-
                                            #/components/schemas/BigDecimalFromNumber
                                        platformFee:
                                          $ref: '#/components/schemas/BigDecimal'
                                        platformFeeUsd:
                                          $ref: >-
                                            #/components/schemas/BigDecimalFromNumber
                                        percentageFee:
                                          $ref: '#/components/schemas/BigDecimal'
                                        percentageFeeUsd:
                                          $ref: >-
                                            #/components/schemas/BigDecimalFromNumber
                                        sourceGasFee:
                                          $ref: >-
                                            #/components/schemas/BigDecimalFromString
                                        sourceGasFeeUsd:
                                          $ref: >-
                                            #/components/schemas/BigDecimalFromNumber
                                      additionalProperties: false
                                    recipient:
                                      type: string
                                    depositor:
                                      type: string
                                    createdAt:
                                      $ref: '#/components/schemas/DateFromString'
                                    commitmentDate:
                                      $ref: '#/components/schemas/DateFromString'
                                    speed:
                                      type: string
                                      enum:
                                        - fast
                                        - standard
                                        - slow
                                    estimatedDuration:
                                      type: number
                                      description: >-
                                        a non-negative number to be decoded into
                                        a Duration
                                      title: nonNegative
                                      minimum: 0
                                    postBridgeData:
                                      anyOf:
                                        - $ref: >-
                                            #/components/schemas/ExtendedPostBridgeData
                                        - $ref: >-
                                            #/components/schemas/StarkwareBtcfiCampaignPostBridgeData
                                        - $ref: >-
                                            #/components/schemas/WirexWrapPostBridgeData
                                        - $ref: >-
                                            #/components/schemas/WirexWrapSandboxPostBridgeData
                                        - $ref: >-
                                            #/components/schemas/StarkwareBtcfiCampaignV2PostBridgeData
                                        - $ref: >-
                                            #/components/schemas/AaveV3SupplyPostBridgeData
                                        - $ref: >-
                                            #/components/schemas/RocketFoundationDepositPostBridgeData
                                        - $ref: >-
                                            #/components/schemas/MapleDepositPostBridgeData
                                    token:
                                      type: string
                                    usdPrice:
                                      $ref: >-
                                        #/components/schemas/BigDecimalFromNumber
                                    _tag:
                                      type: string
                                      enum:
                                        - bridge
                                    cancelledAt:
                                      $ref: '#/components/schemas/DateFromString'
                                    state:
                                      type: string
                                      enum:
                                        - CANCELLED
                                  additionalProperties: false
                                - $ref: '#/components/schemas/BridgeSwapCancelled'
                                - type: object
                                  required:
                                    - _id
                                    - userId
                                    - chainIn
                                    - chainOut
                                    - amountIn
                                    - amountInUsd
                                    - amountOut
                                    - amountOutUsd
                                    - amountNative
                                    - amountNativeUsd
                                    - fee
                                    - feeUsd
                                    - gasFee
                                    - gasFeeUsd
                                    - platformFee
                                    - platformFeeUsd
                                    - percentageFee
                                    - percentageFeeUsd
                                    - sourceGasFee
                                    - sourceGasFeeUsd
                                    - sponsoredFees
                                    - recipient
                                    - depositor
                                    - createdAt
                                    - commitmentDate
                                    - token
                                    - usdPrice
                                    - depositTxHash
                                    - depositCommittedAt
                                    - failedAt
                                    - state
                                  properties:
                                    _id:
                                      type: string
                                    userId:
                                      type: string
                                    chainIn:
                                      type: string
                                    chainOut:
                                      type: string
                                    amountIn:
                                      $ref: >-
                                        #/components/schemas/BigDecimalFromString
                                    amountInUsd:
                                      $ref: >-
                                        #/components/schemas/BigDecimalFromNumber
                                    amountOut:
                                      $ref: >-
                                        #/components/schemas/BigDecimalFromString
                                    amountOutUsd:
                                      $ref: >-
                                        #/components/schemas/BigDecimalFromNumber
                                    amountNative:
                                      anyOf:
                                        - $ref: >-
                                            #/components/schemas/BigDecimalFromString
                                        - type: 'null'
                                    amountNativeUsd:
                                      anyOf:
                                        - $ref: >-
                                            #/components/schemas/BigDecimalFromNumber
                                        - type: 'null'
                                    fee:
                                      $ref: '#/components/schemas/BigDecimal'
                                    feeUsd:
                                      $ref: >-
                                        #/components/schemas/BigDecimalFromNumber
                                    gasFee:
                                      $ref: >-
                                        #/components/schemas/BigDecimalFromString
                                    gasFeeUsd:
                                      $ref: >-
                                        #/components/schemas/BigDecimalFromNumber
                                    platformFee:
                                      $ref: '#/components/schemas/BigDecimal'
                                    platformFeeUsd:
                                      $ref: >-
                                        #/components/schemas/BigDecimalFromNumber
                                    percentageFee:
                                      $ref: '#/components/schemas/BigDecimal'
                                    percentageFeeUsd:
                                      $ref: >-
                                        #/components/schemas/BigDecimalFromNumber
                                    sourceGasFee:
                                      $ref: >-
                                        #/components/schemas/BigDecimalFromString
                                    sourceGasFeeUsd:
                                      $ref: >-
                                        #/components/schemas/BigDecimalFromNumber
                                    sponsoredFees:
                                      type: object
                                      required:
                                        - fee
                                        - feeUsd
                                        - gasFee
                                        - gasFeeUsd
                                        - platformFee
                                        - platformFeeUsd
                                        - percentageFee
                                        - percentageFeeUsd
                                        - sourceGasFee
                                        - sourceGasFeeUsd
                                      properties:
                                        fee:
                                          $ref: '#/components/schemas/BigDecimal'
                                        feeUsd:
                                          $ref: >-
                                            #/components/schemas/BigDecimalFromNumber
                                        gasFee:
                                          $ref: >-
                                            #/components/schemas/BigDecimalFromString
                                        gasFeeUsd:
                                          $ref: >-
                                            #/components/schemas/BigDecimalFromNumber
                                        platformFee:
                                          $ref: '#/components/schemas/BigDecimal'
                                        platformFeeUsd:
                                          $ref: >-
                                            #/components/schemas/BigDecimalFromNumber
                                        percentageFee:
                                          $ref: '#/components/schemas/BigDecimal'
                                        percentageFeeUsd:
                                          $ref: >-
                                            #/components/schemas/BigDecimalFromNumber
                                        sourceGasFee:
                                          $ref: >-
                                            #/components/schemas/BigDecimalFromString
                                        sourceGasFeeUsd:
                                          $ref: >-
                                            #/components/schemas/BigDecimalFromNumber
                                      additionalProperties: false
                                    recipient:
                                      type: string
                                    depositor:
                                      type: string
                                    createdAt:
                                      $ref: '#/components/schemas/DateFromString'
                                    commitmentDate:
                                      $ref: '#/components/schemas/DateFromString'
                                    speed:
                                      type: string
                                      enum:
                                        - fast
                                        - standard
                                        - slow
                                    estimatedDuration:
                                      type: number
                                      description: >-
                                        a non-negative number to be decoded into
                                        a Duration
                                      title: nonNegative
                                      minimum: 0
                                    postBridgeData:
                                      anyOf:
                                        - $ref: >-
                                            #/components/schemas/ExtendedPostBridgeData
                                        - $ref: >-
                                            #/components/schemas/StarkwareBtcfiCampaignPostBridgeData
                                        - $ref: >-
                                            #/components/schemas/WirexWrapPostBridgeData
                                        - $ref: >-
                                            #/components/schemas/WirexWrapSandboxPostBridgeData
                                        - $ref: >-
                                            #/components/schemas/StarkwareBtcfiCampaignV2PostBridgeData
                                        - $ref: >-
                                            #/components/schemas/AaveV3SupplyPostBridgeData
                                        - $ref: >-
                                            #/components/schemas/RocketFoundationDepositPostBridgeData
                                        - $ref: >-
                                            #/components/schemas/MapleDepositPostBridgeData
                                    token:
                                      type: string
                                    usdPrice:
                                      $ref: >-
                                        #/components/schemas/BigDecimalFromNumber
                                    _tag:
                                      type: string
                                      enum:
                                        - bridge
                                    depositTxHash:
                                      type: string
                                    depositCommittedAt:
                                      $ref: '#/components/schemas/DateFromString'
                                    depositDiscoveredAt:
                                      $ref: '#/components/schemas/DateFromString'
                                    depositConfirmedAt:
                                      $ref: '#/components/schemas/DateFromString'
                                    expectedDepositConfirmedAt:
                                      $ref: '#/components/schemas/DateFromString'
                                    expectedDepositConfirmedAtBlock:
                                      $ref: '#/components/schemas/Int'
                                    preSwapTxHash:
                                      type: string
                                    preSwapCommittedAt:
                                      $ref: '#/components/schemas/DateFromString'
                                    isConfirmed:
                                      type: boolean
                                    failedAt:
                                      $ref: '#/components/schemas/DateFromString'
                                    state:
                                      type: string
                                      enum:
                                        - FAILED
                                  additionalProperties: false
                                - $ref: '#/components/schemas/BridgeSwapFailed'
                                - $ref: >-
                                    #/components/schemas/DepositAddressBridgeFailed
                                - type: object
                                  required:
                                    - _id
                                    - userId
                                    - chainIn
                                    - chainOut
                                    - amountIn
                                    - amountInUsd
                                    - amountOut
                                    - amountOutUsd
                                    - amountNative
                                    - amountNativeUsd
                                    - fee
                                    - feeUsd
                                    - gasFee
                                    - gasFeeUsd
                                    - platformFee
                                    - platformFeeUsd
                                    - percentageFee
                                    - percentageFeeUsd
                                    - sourceGasFee
                                    - sourceGasFeeUsd
                                    - sponsoredFees
                                    - recipient
                                    - depositor
                                    - createdAt
                                    - commitmentDate
                                    - token
                                    - usdPrice
                                    - depositTxHash
                                    - depositCommittedAt
                                    - state
                                  properties:
                                    _id:
                                      type: string
                                    userId:
                                      type: string
                                    chainIn:
                                      type: string
                                    chainOut:
                                      type: string
                                    amountIn:
                                      $ref: >-
                                        #/components/schemas/BigDecimalFromString
                                    amountInUsd:
                                      $ref: >-
                                        #/components/schemas/BigDecimalFromNumber
                                    amountOut:
                                      $ref: >-
                                        #/components/schemas/BigDecimalFromString
                                    amountOutUsd:
                                      $ref: >-
                                        #/components/schemas/BigDecimalFromNumber
                                    amountNative:
                                      anyOf:
                                        - $ref: >-
                                            #/components/schemas/BigDecimalFromString
                                        - type: 'null'
                                    amountNativeUsd:
                                      anyOf:
                                        - $ref: >-
                                            #/components/schemas/BigDecimalFromNumber
                                        - type: 'null'
                                    fee:
                                      $ref: '#/components/schemas/BigDecimal'
                                    feeUsd:
                                      $ref: >-
                                        #/components/schemas/BigDecimalFromNumber
                                    gasFee:
                                      $ref: >-
                                        #/components/schemas/BigDecimalFromString
                                    gasFeeUsd:
                                      $ref: >-
                                        #/components/schemas/BigDecimalFromNumber
                                    platformFee:
                                      $ref: '#/components/schemas/BigDecimal'
                                    platformFeeUsd:
                                      $ref: >-
                                        #/components/schemas/BigDecimalFromNumber
                                    percentageFee:
                                      $ref: '#/components/schemas/BigDecimal'
                                    percentageFeeUsd:
                                      $ref: >-
                                        #/components/schemas/BigDecimalFromNumber
                                    sourceGasFee:
                                      $ref: >-
                                        #/components/schemas/BigDecimalFromString
                                    sourceGasFeeUsd:
                                      $ref: >-
                                        #/components/schemas/BigDecimalFromNumber
                                    sponsoredFees:
                                      type: object
                                      required:
                                        - fee
                                        - feeUsd
                                        - gasFee
                                        - gasFeeUsd
                                        - platformFee
                                        - platformFeeUsd
                                        - percentageFee
                                        - percentageFeeUsd
                                        - sourceGasFee
                                        - sourceGasFeeUsd
                                      properties:
                                        fee:
                                          $ref: '#/components/schemas/BigDecimal'
                                        feeUsd:
                                          $ref: >-
                                            #/components/schemas/BigDecimalFromNumber
                                        gasFee:
                                          $ref: >-
                                            #/components/schemas/BigDecimalFromString
                                        gasFeeUsd:
                                          $ref: >-
                                            #/components/schemas/BigDecimalFromNumber
                                        platformFee:
                                          $ref: '#/components/schemas/BigDecimal'
                                        platformFeeUsd:
                                          $ref: >-
                                            #/components/schemas/BigDecimalFromNumber
                                        percentageFee:
                                          $ref: '#/components/schemas/BigDecimal'
                                        percentageFeeUsd:
                                          $ref: >-
                                            #/components/schemas/BigDecimalFromNumber
                                        sourceGasFee:
                                          $ref: >-
                                            #/components/schemas/BigDecimalFromString
                                        sourceGasFeeUsd:
                                          $ref: >-
                                            #/components/schemas/BigDecimalFromNumber
                                      additionalProperties: false
                                    recipient:
                                      type: string
                                    depositor:
                                      type: string
                                    createdAt:
                                      $ref: '#/components/schemas/DateFromString'
                                    commitmentDate:
                                      $ref: '#/components/schemas/DateFromString'
                                    speed:
                                      type: string
                                      enum:
                                        - fast
                                        - standard
                                        - slow
                                    estimatedDuration:
                                      type: number
                                      description: >-
                                        a non-negative number to be decoded into
                                        a Duration
                                      title: nonNegative
                                      minimum: 0
                                    postBridgeData:
                                      anyOf:
                                        - $ref: >-
                                            #/components/schemas/ExtendedPostBridgeData
                                        - $ref: >-
                                            #/components/schemas/StarkwareBtcfiCampaignPostBridgeData
                                        - $ref: >-
                                            #/components/schemas/WirexWrapPostBridgeData
                                        - $ref: >-
                                            #/components/schemas/WirexWrapSandboxPostBridgeData
                                        - $ref: >-
                                            #/components/schemas/StarkwareBtcfiCampaignV2PostBridgeData
                                        - $ref: >-
                                            #/components/schemas/AaveV3SupplyPostBridgeData
                                        - $ref: >-
                                            #/components/schemas/RocketFoundationDepositPostBridgeData
                                        - $ref: >-
                                            #/components/schemas/MapleDepositPostBridgeData
                                    token:
                                      type: string
                                    usdPrice:
                                      $ref: >-
                                        #/components/schemas/BigDecimalFromNumber
                                    _tag:
                                      type: string
                                      enum:
                                        - bridge
                                    depositTxHash:
                                      type: string
                                    depositCommittedAt:
                                      $ref: '#/components/schemas/DateFromString'
                                    depositDiscoveredAt:
                                      $ref: '#/components/schemas/DateFromString'
                                    depositConfirmedAt:
                                      $ref: '#/components/schemas/DateFromString'
                                    expectedDepositConfirmedAt:
                                      $ref: '#/components/schemas/DateFromString'
                                    expectedDepositConfirmedAtBlock:
                                      $ref: '#/components/schemas/Int'
                                    preSwapTxHash:
                                      type: string
                                    preSwapCommittedAt:
                                      $ref: '#/components/schemas/DateFromString'
                                    isConfirmed:
                                      type: boolean
                                    state:
                                      type: string
                                      enum:
                                        - DEPOSIT_ACCEPTED
                                  additionalProperties: false
                                - $ref: >-
                                    #/components/schemas/BridgeSwapDepositAccepted
                                - $ref: >-
                                    #/components/schemas/DepositAddressBridgeDepositAccepted
                                - type: object
                                  required:
                                    - _id
                                    - userId
                                    - chainIn
                                    - chainOut
                                    - amountIn
                                    - amountInUsd
                                    - amountOut
                                    - amountOutUsd
                                    - amountNative
                                    - amountNativeUsd
                                    - fee
                                    - feeUsd
                                    - gasFee
                                    - gasFeeUsd
                                    - platformFee
                                    - platformFeeUsd
                                    - percentageFee
                                    - percentageFeeUsd
                                    - sourceGasFee
                                    - sourceGasFeeUsd
                                    - sponsoredFees
                                    - recipient
                                    - depositor
                                    - createdAt
                                    - commitmentDate
                                    - token
                                    - usdPrice
                                    - depositTxHash
                                    - depositCommittedAt
                                    - state
                                  properties:
                                    _id:
                                      type: string
                                    userId:
                                      type: string
                                    chainIn:
                                      type: string
                                    chainOut:
                                      type: string
                                    amountIn:
                                      $ref: >-
                                        #/components/schemas/BigDecimalFromString
                                    amountInUsd:
                                      $ref: >-
                                        #/components/schemas/BigDecimalFromNumber
                                    amountOut:
                                      $ref: >-
                                        #/components/schemas/BigDecimalFromString
                                    amountOutUsd:
                                      $ref: >-
                                        #/components/schemas/BigDecimalFromNumber
                                    amountNative:
                                      anyOf:
                                        - $ref: >-
                                            #/components/schemas/BigDecimalFromString
                                        - type: 'null'
                                    amountNativeUsd:
                                      anyOf:
                                        - $ref: >-
                                            #/components/schemas/BigDecimalFromNumber
                                        - type: 'null'
                                    fee:
                                      $ref: '#/components/schemas/BigDecimal'
                                    feeUsd:
                                      $ref: >-
                                        #/components/schemas/BigDecimalFromNumber
                                    gasFee:
                                      $ref: >-
                                        #/components/schemas/BigDecimalFromString
                                    gasFeeUsd:
                                      $ref: >-
                                        #/components/schemas/BigDecimalFromNumber
                                    platformFee:
                                      $ref: '#/components/schemas/BigDecimal'
                                    platformFeeUsd:
                                      $ref: >-
                                        #/components/schemas/BigDecimalFromNumber
                                    percentageFee:
                                      $ref: '#/components/schemas/BigDecimal'
                                    percentageFeeUsd:
                                      $ref: >-
                                        #/components/schemas/BigDecimalFromNumber
                                    sourceGasFee:
                                      $ref: >-
                                        #/components/schemas/BigDecimalFromString
                                    sourceGasFeeUsd:
                                      $ref: >-
                                        #/components/schemas/BigDecimalFromNumber
                                    sponsoredFees:
                                      type: object
                                      required:
                                        - fee
                                        - feeUsd
                                        - gasFee
                                        - gasFeeUsd
                                        - platformFee
                                        - platformFeeUsd
                                        - percentageFee
                                        - percentageFeeUsd
                                        - sourceGasFee
                                        - sourceGasFeeUsd
                                      properties:
                                        fee:
                                          $ref: '#/components/schemas/BigDecimal'
                                        feeUsd:
                                          $ref: >-
                                            #/components/schemas/BigDecimalFromNumber
                                        gasFee:
                                          $ref: >-
                                            #/components/schemas/BigDecimalFromString
                                        gasFeeUsd:
                                          $ref: >-
                                            #/components/schemas/BigDecimalFromNumber
                                        platformFee:
                                          $ref: '#/components/schemas/BigDecimal'
                                        platformFeeUsd:
                                          $ref: >-
                                            #/components/schemas/BigDecimalFromNumber
                                        percentageFee:
                                          $ref: '#/components/schemas/BigDecimal'
                                        percentageFeeUsd:
                                          $ref: >-
                                            #/components/schemas/BigDecimalFromNumber
                                        sourceGasFee:
                                          $ref: >-
                                            #/components/schemas/BigDecimalFromString
                                        sourceGasFeeUsd:
                                          $ref: >-
                                            #/components/schemas/BigDecimalFromNumber
                                      additionalProperties: false
                                    recipient:
                                      type: string
                                    depositor:
                                      type: string
                                    createdAt:
                                      $ref: '#/components/schemas/DateFromString'
                                    commitmentDate:
                                      $ref: '#/components/schemas/DateFromString'
                                    speed:
                                      type: string
                                      enum:
                                        - fast
                                        - standard
                                        - slow
                                    estimatedDuration:
                                      type: number
                                      description: >-
                                        a non-negative number to be decoded into
                                        a Duration
                                      title: nonNegative
                                      minimum: 0
                                    postBridgeData:
                                      anyOf:
                                        - $ref: >-
                                            #/components/schemas/ExtendedPostBridgeData
                                        - $ref: >-
                                            #/components/schemas/StarkwareBtcfiCampaignPostBridgeData
                                        - $ref: >-
                                            #/components/schemas/WirexWrapPostBridgeData
                                        - $ref: >-
                                            #/components/schemas/WirexWrapSandboxPostBridgeData
                                        - $ref: >-
                                            #/components/schemas/StarkwareBtcfiCampaignV2PostBridgeData
                                        - $ref: >-
                                            #/components/schemas/AaveV3SupplyPostBridgeData
                                        - $ref: >-
                                            #/components/schemas/RocketFoundationDepositPostBridgeData
                                        - $ref: >-
                                            #/components/schemas/MapleDepositPostBridgeData
                                    token:
                                      type: string
                                    usdPrice:
                                      $ref: >-
                                        #/components/schemas/BigDecimalFromNumber
                                    _tag:
                                      type: string
                                      enum:
                                        - bridge
                                    depositTxHash:
                                      type: string
                                    depositCommittedAt:
                                      $ref: '#/components/schemas/DateFromString'
                                    depositDiscoveredAt:
                                      $ref: '#/components/schemas/DateFromString'
                                    depositConfirmedAt:
                                      $ref: '#/components/schemas/DateFromString'
                                    expectedDepositConfirmedAt:
                                      $ref: '#/components/schemas/DateFromString'
                                    expectedDepositConfirmedAtBlock:
                                      $ref: '#/components/schemas/Int'
                                    preSwapTxHash:
                                      type: string
                                    preSwapCommittedAt:
                                      $ref: '#/components/schemas/DateFromString'
                                    isConfirmed:
                                      type: boolean
                                    state:
                                      type: string
                                      enum:
                                        - ACCEPTED
                                  additionalProperties: false
                                - $ref: '#/components/schemas/BridgeSwapAccepted'
                                - $ref: >-
                                    #/components/schemas/DepositAddressBridgeAccepted
                                - $ref: >-
                                    #/components/schemas/DepositAddressBridgeExecuted
                                - type: object
                                  required:
                                    - depositTxHash
                                    - depositCommittedAt
                                    - reason
                                    - _tag
                                    - _id
                                    - userId
                                    - chainIn
                                    - chainOut
                                    - amountIn
                                    - amountInUsd
                                    - amountOut
                                    - amountOutUsd
                                    - amountNative
                                    - amountNativeUsd
                                    - fee
                                    - feeUsd
                                    - gasFee
                                    - gasFeeUsd
                                    - platformFee
                                    - platformFeeUsd
                                    - percentageFee
                                    - percentageFeeUsd
                                    - sourceGasFee
                                    - sourceGasFeeUsd
                                    - sponsoredFees
                                    - recipient
                                    - depositor
                                    - createdAt
                                    - commitmentDate
                                    - tokenIn
                                    - tokenOut
                                    - minAmountOut
                                    - minAmountOutUsd
                                    - usdPriceTokenIn
                                    - usdPriceTokenOut
                                    - refundTxHash
                                    - refundTxTimestamp
                                    - refundedToken
                                    - refundedAmount
                                    - refundedChain
                                    - state
                                  properties:
                                    depositTxHash:
                                      type: string
                                    depositCommittedAt:
                                      $ref: '#/components/schemas/DateFromString'
                                    reason:
                                      type: string
                                    additionalData:
                                      anyOf:
                                        - type: object
                                          required: []
                                          properties: {}
                                          additionalProperties:
                                            anyOf:
                                              - type: string
                                              - type: number
                                        - type: 'null'
                                    _tag:
                                      type: string
                                      enum:
                                        - bridgeSwap
                                    _id:
                                      type: string
                                    userId:
                                      type: string
                                    chainIn:
                                      type: string
                                    chainOut:
                                      type: string
                                    amountIn:
                                      $ref: >-
                                        #/components/schemas/BigDecimalFromString
                                    amountInUsd:
                                      $ref: >-
                                        #/components/schemas/BigDecimalFromNumber
                                    amountOut:
                                      $ref: >-
                                        #/components/schemas/BigDecimalFromString
                                    amountOutUsd:
                                      $ref: >-
                                        #/components/schemas/BigDecimalFromNumber
                                    amountNative:
                                      anyOf:
                                        - $ref: >-
                                            #/components/schemas/BigDecimalFromString
                                        - type: 'null'
                                    amountNativeUsd:
                                      anyOf:
                                        - $ref: >-
                                            #/components/schemas/BigDecimalFromNumber
                                        - type: 'null'
                                    fee:
                                      $ref: '#/components/schemas/BigDecimal'
                                    feeUsd:
                                      $ref: >-
                                        #/components/schemas/BigDecimalFromNumber
                                    gasFee:
                                      $ref: >-
                                        #/components/schemas/BigDecimalFromString
                                    gasFeeUsd:
                                      $ref: >-
                                        #/components/schemas/BigDecimalFromNumber
                                    platformFee:
                                      $ref: '#/components/schemas/BigDecimal'
                                    platformFeeUsd:
                                      $ref: >-
                                        #/components/schemas/BigDecimalFromNumber
                                    percentageFee:
                                      $ref: '#/components/schemas/BigDecimal'
                                    percentageFeeUsd:
                                      $ref: >-
                                        #/components/schemas/BigDecimalFromNumber
                                    sourceGasFee:
                                      $ref: >-
                                        #/components/schemas/BigDecimalFromString
                                    sourceGasFeeUsd:
                                      $ref: >-
                                        #/components/schemas/BigDecimalFromNumber
                                    sponsoredFees:
                                      type: object
                                      required:
                                        - fee
                                        - feeUsd
                                        - gasFee
                                        - gasFeeUsd
                                        - platformFee
                                        - platformFeeUsd
                                        - percentageFee
                                        - percentageFeeUsd
                                        - sourceGasFee
                                        - sourceGasFeeUsd
                                      properties:
                                        fee:
                                          $ref: '#/components/schemas/BigDecimal'
                                        feeUsd:
                                          $ref: >-
                                            #/components/schemas/BigDecimalFromNumber
                                        gasFee:
                                          $ref: >-
                                            #/components/schemas/BigDecimalFromString
                                        gasFeeUsd:
                                          $ref: >-
                                            #/components/schemas/BigDecimalFromNumber
                                        platformFee:
                                          $ref: '#/components/schemas/BigDecimal'
                                        platformFeeUsd:
                                          $ref: >-
                                            #/components/schemas/BigDecimalFromNumber
                                        percentageFee:
                                          $ref: '#/components/schemas/BigDecimal'
                                        percentageFeeUsd:
                                          $ref: >-
                                            #/components/schemas/BigDecimalFromNumber
                                        sourceGasFee:
                                          $ref: >-
                                            #/components/schemas/BigDecimalFromString
                                        sourceGasFeeUsd:
                                          $ref: >-
                                            #/components/schemas/BigDecimalFromNumber
                                      additionalProperties: false
                                    recipient:
                                      type: string
                                    depositor:
                                      type: string
                                    createdAt:
                                      $ref: '#/components/schemas/DateFromString'
                                    commitmentDate:
                                      $ref: '#/components/schemas/DateFromString'
                                    speed:
                                      type: string
                                      enum:
                                        - fast
                                        - standard
                                        - slow
                                    estimatedDuration:
                                      type: number
                                      description: >-
                                        a non-negative number to be decoded into
                                        a Duration
                                      title: nonNegative
                                      minimum: 0
                                    postBridgeData:
                                      anyOf:
                                        - $ref: >-
                                            #/components/schemas/ExtendedPostBridgeData
                                        - $ref: >-
                                            #/components/schemas/StarkwareBtcfiCampaignPostBridgeData
                                        - $ref: >-
                                            #/components/schemas/WirexWrapPostBridgeData
                                        - $ref: >-
                                            #/components/schemas/WirexWrapSandboxPostBridgeData
                                        - $ref: >-
                                            #/components/schemas/StarkwareBtcfiCampaignV2PostBridgeData
                                        - $ref: >-
                                            #/components/schemas/AaveV3SupplyPostBridgeData
                                        - $ref: >-
                                            #/components/schemas/RocketFoundationDepositPostBridgeData
                                        - $ref: >-
                                            #/components/schemas/MapleDepositPostBridgeData
                                    tokenIn:
                                      type: string
                                    tokenOut:
                                      type: string
                                    minAmountOut:
                                      $ref: >-
                                        #/components/schemas/BigDecimalFromString
                                    minAmountOutUsd:
                                      $ref: >-
                                        #/components/schemas/BigDecimalFromNumber
                                    usdPriceTokenIn:
                                      $ref: >-
                                        #/components/schemas/BigDecimalFromNumber
                                    usdPriceTokenOut:
                                      $ref: >-
                                        #/components/schemas/BigDecimalFromNumber
                                    preSwap:
                                      $ref: '#/components/schemas/SwapQuote'
                                    postSwap:
                                      $ref: '#/components/schemas/SwapQuote'
                                    depositDiscoveredAt:
                                      $ref: '#/components/schemas/DateFromString'
                                    depositConfirmedAt:
                                      $ref: '#/components/schemas/DateFromString'
                                    expectedDepositConfirmedAt:
                                      $ref: '#/components/schemas/DateFromString'
                                    expectedDepositConfirmedAtBlock:
                                      $ref: '#/components/schemas/Int'
                                    preSwapTxHash:
                                      type: string
                                    preSwapCommittedAt:
                                      $ref: '#/components/schemas/DateFromString'
                                    isConfirmed:
                                      type: boolean
                                    refundTxHash:
                                      $ref: '#/components/schemas/NonEmptyString'
                                    refundTxTimestamp:
                                      $ref: '#/components/schemas/DateFromString'
                                    refundedToken:
                                      $ref: '#/components/schemas/NonEmptyString'
                                    refundedAmount:
                                      $ref: >-
                                        #/components/schemas/BigDecimalFromString
                                    refundedChain:
                                      $ref: '#/components/schemas/NonEmptyString'
                                    state:
                                      type: string
                                      enum:
                                        - SWAP_FAILED_REFUNDED
                                  additionalProperties: false
                                - type: object
                                  required:
                                    - depositTxHash
                                    - depositCommittedAt
                                    - reason
                                    - _tag
                                    - _id
                                    - userId
                                    - chainIn
                                    - chainOut
                                    - amountIn
                                    - amountInUsd
                                    - amountOut
                                    - amountOutUsd
                                    - amountNative
                                    - amountNativeUsd
                                    - fee
                                    - feeUsd
                                    - gasFee
                                    - gasFeeUsd
                                    - platformFee
                                    - platformFeeUsd
                                    - percentageFee
                                    - percentageFeeUsd
                                    - sourceGasFee
                                    - sourceGasFeeUsd
                                    - sponsoredFees
                                    - recipient
                                    - depositor
                                    - createdAt
                                    - commitmentDate
                                    - tokenIn
                                    - tokenOut
                                    - minAmountOut
                                    - minAmountOutUsd
                                    - usdPriceTokenIn
                                    - usdPriceTokenOut
                                    - state
                                  properties:
                                    depositTxHash:
                                      type: string
                                    depositCommittedAt:
                                      $ref: '#/components/schemas/DateFromString'
                                    reason:
                                      type: string
                                    additionalData:
                                      anyOf:
                                        - type: object
                                          required: []
                                          properties: {}
                                          additionalProperties:
                                            anyOf:
                                              - type: string
                                              - type: number
                                        - type: 'null'
                                    _tag:
                                      type: string
                                      enum:
                                        - bridgeSwap
                                    _id:
                                      type: string
                                    userId:
                                      type: string
                                    chainIn:
                                      type: string
                                    chainOut:
                                      type: string
                                    amountIn:
                                      $ref: >-
                                        #/components/schemas/BigDecimalFromString
                                    amountInUsd:
                                      $ref: >-
                                        #/components/schemas/BigDecimalFromNumber
                                    amountOut:
                                      $ref: >-
                                        #/components/schemas/BigDecimalFromString
                                    amountOutUsd:
                                      $ref: >-
                                        #/components/schemas/BigDecimalFromNumber
                                    amountNative:
                                      anyOf:
                                        - $ref: >-
                                            #/components/schemas/BigDecimalFromString
                                        - type: 'null'
                                    amountNativeUsd:
                                      anyOf:
                                        - $ref: >-
                                            #/components/schemas/BigDecimalFromNumber
                                        - type: 'null'
                                    fee:
                                      $ref: '#/components/schemas/BigDecimal'
                                    feeUsd:
                                      $ref: >-
                                        #/components/schemas/BigDecimalFromNumber
                                    gasFee:
                                      $ref: >-
                                        #/components/schemas/BigDecimalFromString
                                    gasFeeUsd:
                                      $ref: >-
                                        #/components/schemas/BigDecimalFromNumber
                                    platformFee:
                                      $ref: '#/components/schemas/BigDecimal'
                                    platformFeeUsd:
                                      $ref: >-
                                        #/components/schemas/BigDecimalFromNumber
                                    percentageFee:
                                      $ref: '#/components/schemas/BigDecimal'
                                    percentageFeeUsd:
                                      $ref: >-
                                        #/components/schemas/BigDecimalFromNumber
                                    sourceGasFee:
                                      $ref: >-
                                        #/components/schemas/BigDecimalFromString
                                    sourceGasFeeUsd:
                                      $ref: >-
                                        #/components/schemas/BigDecimalFromNumber
                                    sponsoredFees:
                                      type: object
                                      required:
                                        - fee
                                        - feeUsd
                                        - gasFee
                                        - gasFeeUsd
                                        - platformFee
                                        - platformFeeUsd
                                        - percentageFee
                                        - percentageFeeUsd
                                        - sourceGasFee
                                        - sourceGasFeeUsd
                                      properties:
                                        fee:
                                          $ref: '#/components/schemas/BigDecimal'
                                        feeUsd:
                                          $ref: >-
                                            #/components/schemas/BigDecimalFromNumber
                                        gasFee:
                                          $ref: >-
                                            #/components/schemas/BigDecimalFromString
                                        gasFeeUsd:
                                          $ref: >-
                                            #/components/schemas/BigDecimalFromNumber
                                        platformFee:
                                          $ref: '#/components/schemas/BigDecimal'
                                        platformFeeUsd:
                                          $ref: >-
                                            #/components/schemas/BigDecimalFromNumber
                                        percentageFee:
                                          $ref: '#/components/schemas/BigDecimal'
                                        percentageFeeUsd:
                                          $ref: >-
                                            #/components/schemas/BigDecimalFromNumber
                                        sourceGasFee:
                                          $ref: >-
                                            #/components/schemas/BigDecimalFromString
                                        sourceGasFeeUsd:
                                          $ref: >-
                                            #/components/schemas/BigDecimalFromNumber
                                      additionalProperties: false
                                    recipient:
                                      type: string
                                    depositor:
                                      type: string
                                    createdAt:
                                      $ref: '#/components/schemas/DateFromString'
                                    commitmentDate:
                                      $ref: '#/components/schemas/DateFromString'
                                    speed:
                                      type: string
                                      enum:
                                        - fast
                                        - standard
                                        - slow
                                    estimatedDuration:
                                      type: number
                                      description: >-
                                        a non-negative number to be decoded into
                                        a Duration
                                      title: nonNegative
                                      minimum: 0
                                    postBridgeData:
                                      anyOf:
                                        - $ref: >-
                                            #/components/schemas/ExtendedPostBridgeData
                                        - $ref: >-
                                            #/components/schemas/StarkwareBtcfiCampaignPostBridgeData
                                        - $ref: >-
                                            #/components/schemas/WirexWrapPostBridgeData
                                        - $ref: >-
                                            #/components/schemas/WirexWrapSandboxPostBridgeData
                                        - $ref: >-
                                            #/components/schemas/StarkwareBtcfiCampaignV2PostBridgeData
                                        - $ref: >-
                                            #/components/schemas/AaveV3SupplyPostBridgeData
                                        - $ref: >-
                                            #/components/schemas/RocketFoundationDepositPostBridgeData
                                        - $ref: >-
                                            #/components/schemas/MapleDepositPostBridgeData
                                    tokenIn:
                                      type: string
                                    tokenOut:
                                      type: string
                                    minAmountOut:
                                      $ref: >-
                                        #/components/schemas/BigDecimalFromString
                                    minAmountOutUsd:
                                      $ref: >-
                                        #/components/schemas/BigDecimalFromNumber
                                    usdPriceTokenIn:
                                      $ref: >-
                                        #/components/schemas/BigDecimalFromNumber
                                    usdPriceTokenOut:
                                      $ref: >-
                                        #/components/schemas/BigDecimalFromNumber
                                    preSwap:
                                      $ref: '#/components/schemas/SwapQuote'
                                    postSwap:
                                      $ref: '#/components/schemas/SwapQuote'
                                    state:
                                      type: string
                                      enum:
                                        - DEPOSIT_RECEIVED_AFTER_GRACE_PERIOD
                                  additionalProperties: false
                                - type: object
                                  required:
                                    - depositTxHash
                                    - depositCommittedAt
                                    - reason
                                    - _tag
                                    - _id
                                    - userId
                                    - chainIn
                                    - chainOut
                                    - amountIn
                                    - amountInUsd
                                    - amountOut
[...]
